aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Buesch <m@bues.ch>2018-09-15 22:17:47 +0200
committerMichael Buesch <m@bues.ch>2018-09-15 22:17:47 +0200
commit037369725529ec5c3b85ba5138d59b1c0d10de6c (patch)
treeb1bb19c2598dba0c9596a184f51b45746756803a
parent6794dd73fe65b01b656235118be00442da1a81e6 (diff)
downloadawlsim-037369725529ec5c3b85ba5138d59b1c0d10de6c.tar.xz
awlsim-037369725529ec5c3b85ba5138d59b1c0d10de6c.zip
readme: Add cffi dependency
Signed-off-by: Michael Buesch <m@bues.ch>
-rw-r--r--README.md13
1 files changed, 8 insertions, 5 deletions
diff --git a/README.md b/README.md
index dda00eec..4644639e 100644
--- a/README.md
+++ b/README.md
@@ -42,25 +42,28 @@ After cloning the main repository the git submodules must also be fetched. The f
## Dependencies
-Awlsim depends on [Python](https://python.org) 3.4 or later or alternatively Python 2.7.
+Awlsim depends on
-[PyQT 5](https://www.riverbankcomputing.com/software/pyqt/intro) or alternatively [PySide](https://wiki.qt.io/PySide)
+* [Python](https://python.org) 3.4 or later or alternatively Python 2.7
+* [PyQT 5](https://www.riverbankcomputing.com/software/pyqt/intro) or alternatively [PySide](https://wiki.qt.io/PySide)
+* [CFFI](http://cffi.readthedocs.org/)
These packages can be installed with pip:
<pre>
pip3 install --upgrade PyQt5
-pip3 install --upgrade pyside
+pip3 install --upgrade cffi
</pre>
-On Windows all Awlsim dependencies can be installed by double clicking the shipped installer script: *maintenance\win-install-dependencies.cmd*
-
If building and using Awlsim with Cython acceleration is desired, Cython must also be installed:
<pre>
pip3 install --upgrade Cython
</pre>
+On Windows all Awlsim dependencies can be installed by double clicking the shipped installer script: *maintenance\win-install-dependencies.cmd*
+
+For Debian Linux users the script *maintenance/deb-dependencies-install.sh* installs all required and optional runtime and build dependencies.
## Directory structure
bues.ch cgit interface